## org.eclipse.jet.compiler
Class DefaultJET2ASTVisitor

    java.lang.Object
      org.eclipse.jet.compiler.DefaultJET2ASTVisitor

All Implemented Interfaces:
  JET2ASTVisitor

Deprecated. Since 0.8.0, use `JETASTVisitor`

    public abstract class DefaultJET2ASTVisitor

extends java.lang.Object
implements JET2ASTVisitor

An implementation of the `JET2ASTVisitor` that does nothing. Override any of the visit or endVisit methods to create an operational visitor.

Constructor Summary
`DefaultJET2ASTVisitor()` Deprecated.

Method Summary
`void` `endVisit(JET2CompilationUnit compilationUnit)` Deprecated. Visit a JETCompilationUnit element, after visiting its body elements.
`void` `endVisit(XMLBodyElement xmlBodyElement)` Deprecated. Visit an XMLBodyElement, after visiting its body elements.
`void` `visit(Comment comment)` Deprecated. Visit a Comment element.
`void` `visit(JET2CompilationUnit compilationUnit)` Deprecated. Visit a JETCompilationUnit element, prior to visiting its body elements.
`void` `visit(JET2Declaration declaration)` Deprecated. Visit a JET2Declaration.
`void` `visit(JET2Directive directive)` Deprecated. Visit a JET2Directive.
`void` `visit(JET2Expression expression)` Deprecated. Visit a JET2Expression.
`void` `visit(JET2Scriptlet scriptlet)` Deprecated. Visit a JET2Scriptlet.
`void` `visit(TextElement text)` Deprecated. Visit a TextElement.
`void` `visit(XMLBodyElement xmlBodyElement)` Deprecated. Visit an XMLBodyElement, prior to visiting its body elements.
`void` `visit(XMLBodyElementEnd xmlBodyElementEnd)` Deprecated. Visit the end tag of an XMLBodyElement.
`void` `visit(XMLEmptyElement xmlEmptyElement)` Deprecated. Visit an XMLEmptyElement.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultJET2ASTVisitor

    public DefaultJET2ASTVisitor()

  Deprecated.

Method Detail

### visit

    public void visit(JET2CompilationUnit compilationUnit)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit a JETCompilationUnit element, prior to visiting its body elements.

  Specified by:
    `visit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.visit(org.eclipse.jet.compiler.JET2CompilationUnit)`

### endVisit

    public void endVisit(JET2CompilationUnit compilationUnit)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit a JETCompilationUnit element, after visiting its body elements.

  Specified by:
    `endVisit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.endVisit(org.eclipse.jet.compiler.JET2CompilationUnit)`

### visit

    public void visit(JET2Declaration declaration)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit a JET2Declaration.

  Specified by:
    `visit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.visit(org.eclipse.jet.compiler.JET2Declaration)`

### visit

    public void visit(JET2Directive directive)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit a JET2Directive.

  Specified by:
    `visit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.visit(org.eclipse.jet.compiler.JET2Directive)`

### visit

    public void visit(JET2Expression expression)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit a JET2Expression.

  Specified by:
    `visit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.visit(org.eclipse.jet.compiler.JET2Expression)`

### visit

    public void visit(JET2Scriptlet scriptlet)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit a JET2Scriptlet.

  Specified by:
    `visit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.visit(org.eclipse.jet.compiler.JET2Scriptlet)`

### visit

    public void visit(TextElement text)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit a TextElement.

  Specified by:
    `visit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.visit(org.eclipse.jet.compiler.TextElement)`

### visit

    public void visit(XMLEmptyElement xmlEmptyElement)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit an XMLEmptyElement.

  Specified by:
    `visit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.visit(org.eclipse.jet.compiler.XMLEmptyElement)`

### visit

    public void visit(XMLBodyElement xmlBodyElement)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit an XMLBodyElement, prior to visiting its body elements.

  Specified by:
    `visit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.visit(org.eclipse.jet.compiler.XMLBodyElement)`

### endVisit

    public void endVisit(XMLBodyElement xmlBodyElement)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit an XMLBodyElement, after visiting its body elements.

  Specified by:
    `endVisit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.endVisit(org.eclipse.jet.compiler.XMLBodyElement)`

### visit

    public void visit(XMLBodyElementEnd xmlBodyElementEnd)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit the end tag of an XMLBodyElement. Happens after `JET2ASTVisitor.endVisit(XMLBodyElement)`.

  Specified by:
    `visit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.visit(org.eclipse.jet.compiler.XMLBodyElementEnd)`

### visit

    public void visit(Comment comment)

  Deprecated.
  Description copied from interface: `JET2ASTVisitor`
  Visit a Comment element.

  Specified by:
    `visit` in interface `JET2ASTVisitor`
  See Also:
    `JET2ASTVisitor.visit(org.eclipse.jet.compiler.Comment)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.